Package org.drinkless.tdlib

# Class TdApi.InputMessageVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageVideo

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageVideo extends TdApi.InputMessageContent
A video message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `addedStickerFileIds`
  File identifiers of the stickers added to the video, if applicable.
  `TdApi.FormattedText`
  `caption`
  Video caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputFile`
  `cover`
  Cover of the video; pass null to skip cover uploading; not supported in secret chats and for self-destructing messages.
  `int`
  `duration`
  Duration of the video, in seconds.
  `boolean`
  `hasSpoiler`
  True, if the video preview must be covered by a spoiler animation; not supported in secret chats.
  `int`
  `height`
  Video height.
  `TdApi.MessageSelfDestructType`
  `selfDestructType`
  Video self-destruct type; pass null if none; private chats only.
  `boolean`
  `showCaptionAboveMedia`
  True, if the caption must be shown above the video; otherwise, the caption must be shown below the video; not supported in secret chats.
  `int`
  `startTimestamp`
  Timestamp from which the video playing must start, in seconds.
  `boolean`
  `supportsStreaming`
  True, if the video is expected to be streamed.
  `TdApi.InputThumbnail`
  `thumbnail`
  Video thumbnail; pass null to skip thumbnail uploading.
  `TdApi.InputFile`
  `video`
  Video to be sent.
  `int`
  `width`
  Video width.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageVideo()`
  A video message.
  `InputMessageVideo(TdApi.InputFile video, TdApi.InputThumbnail thumbnail, TdApi.InputFile cover, int startTimestamp, int[] addedStickerFileIds, int duration, int width, int height, boolean supportsStreaming, TdApi.FormattedText caption, boolean showCaptionAboveMedia, TdApi.MessageSelfDestructType selfDestructType, boolean hasSpoiler)`
  A video message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### video

    public TdApi.InputFile video
    Video to be sent. The video is expected to be re-encoded to MPEG4 format with H.264 codec by the sender.

  - ### thumbnail

    public TdApi.InputThumbnail thumbnail
    Video thumbnail; pass null to skip thumbnail uploading.

  - ### cover

    public TdApi.InputFile cover
    Cover of the video; pass null to skip cover uploading; not supported in secret chats and for self-destructing messages.

  - ### startTimestamp

    public int startTimestamp
    Timestamp from which the video playing must start, in seconds.

  - ### addedStickerFileIds

    public int[] addedStickerFileIds
    File identifiers of the stickers added to the video, if applicable.

  - ### duration

    public int duration
    Duration of the video, in seconds.

  - ### width

    public int width
    Video width.

  - ### height

    public int height
    Video height.

  - ### supportsStreaming

    public boolean supportsStreaming
    True, if the video is expected to be streamed.

  - ### caption

    public TdApi.FormattedText caption
    Video caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

  - ### showCaptionAboveMedia

    public boolean showCaptionAboveMedia
    True, if the caption must be shown above the video; otherwise, the caption must be shown below the video; not supported in secret chats.

  - ### selfDestructType

    public TdApi.MessageSelfDestructType selfDestructType
    Video self-destruct type; pass null if none; private chats only.

  - ### hasSpoiler

    public boolean hasSpoiler
    True, if the video preview must be covered by a spoiler animation; not supported in secret chats.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageVideo

    public InputMessageVideo()
    A video message.

  - ### InputMessageVideo

    public InputMessageVideo(TdApi.InputFile video, TdApi.InputThumbnail thumbnail, TdApi.InputFile cover, int startTimestamp, int[] addedStickerFileIds, int duration, int width, int height, boolean supportsStreaming, TdApi.FormattedText caption, boolean showCaptionAboveMedia, TdApi.MessageSelfDestructType selfDestructType, boolean hasSpoiler)
    A video message.
    Parameters:
      `video` - Video to be sent. The video is expected to be re-encoded to MPEG4 format with H.264 codec by the sender.
      `thumbnail` - Video thumbnail; pass null to skip thumbnail uploading.
      `cover` - Cover of the video; pass null to skip cover uploading; not supported in secret chats and for self-destructing messages.
      `startTimestamp` - Timestamp from which the video playing must start, in seconds.
      `addedStickerFileIds` - File identifiers of the stickers added to the video, if applicable.
      `duration` - Duration of the video, in seconds.
      `width` - Video width.
      `height` - Video height.
      `supportsStreaming` - True, if the video is expected to be streamed.
      `caption` - Video caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
      `showCaptionAboveMedia` - True, if the caption must be shown above the video; otherwise, the caption must be shown below the video; not supported in secret chats.
      `selfDestructType` - Video self-destruct type; pass null if none; private chats only.
      `hasSpoiler` - True, if the video preview must be covered by a spoiler animation; not supported in secret chats.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR